package com.ywt.mg.core.utils;

import com.ywt.mg.domain.models.ConstantDef;
import com.ywt.mg.domain.models.enums.PrescriptionInfoSourceEnum;

public class CheckerPharmacyUtil {

    //4.6.5 判断是否来自太和或者白云his
    public static boolean checkAdverPresSource(int source){

       return (source == PrescriptionInfoSourceEnum.TaiHeHIS.getValue() || source == PrescriptionInfoSourceEnum.BaiYunHIS.getValue());

    }

//   判断是否来自国控黄石，太和便民，白云便民药房
    public static boolean checkAdverPresPharmacyId(int pharmacyId){

        return (pharmacyId == ConstantDef.BAIYUN_TAIHE_FATHER_PHARMACY || pharmacyId == ConstantDef.GUOKONG_PHARMACY|| pharmacyId == ConstantDef.TAIHE_PHARMACY || pharmacyId == ConstantDef.BAIYUN_PHARMACY);

    }
}
